zenilib: zenilib/jni/external/glew/src/glewinfo.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
glewinfo.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <GL/glew.h>`
`#include <GL/glxew.h>`

Go to the source code of this file.

## Functions

GLboolean | glewCreateContext (const char *display, int *visual)
void | glewDestroyContext ()
static void | glewInfo (void)
static void | glewInfoFunc (const char *name, GLint undefined)
GLboolean | glewParseArgs (int argc, char **argv, char **display, int *visual)
static void | glewPrintExt (const char *name, GLboolean def1, GLboolean def2, GLboolean def3)
static void | glxewInfo ()
int | main (int argc, char **argv)

## Variables

Colormap | cmap = 0
GLXContext | ctx = NULL
Display * | dpy = NULL
static FILE * | f
XVisualInfo * | vi = NULL
XVisualInfo * | vis = NULL
Window | wnd = 0

## Function Documentation

GLboolean glewCreateContext | ( | const char * | display,
|  | int * | visual
| ) |  |

Definition at line 10625 of file glewinfo.c.

References cmap, GL_FALSE, GL_TRUE, GLX_DOUBLEBUFFER, GLX_RGBA, glXChooseVisual, glXCreateContext, glXMakeCurrent, glXQueryExtension, i, int, NULL, and XOpenDisplay.

Referenced by main().

void glewDestroyContext | ( |  | ) |

Definition at line 10669 of file glewinfo.c.

References glXDestroyContext, NULL, XCloseDisplay, and XDestroyWindow.

Referenced by main().

static void glewInfo | ( | void |  | ) |

static

Definition at line 8493 of file glewinfo.c.

Referenced by main().

static void glewInfoFunc | ( | const char * | name,
|  | GLint | undefined
| ) |  |

static

Definition at line 93 of file glewinfo.c.

References i.

GLboolean glewParseArgs | ( | int | argc,
|  | char ** | argv,
|  | char ** | display,
|  | int * | visual
| ) |  |

Definition at line 10491 of file glewinfo.c.

References GL_FALSE, GL_TRUE, int, and NULL.

Referenced by main().

static void glewPrintExt | ( | const char * | name,
|  | GLboolean | def1,
|  | GLboolean | def2,
|  | GLboolean | def3
| ) |  |

static

Definition at line 76 of file glewinfo.c.

References i.

static void glxewInfo | ( |  | ) |

static

Definition at line 10208 of file glewinfo.c.

Referenced by main().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 10406 of file glewinfo.c.

References display, GL_RENDERER, GL_TRUE, GL_VENDOR, GL_VERSION, GLEW_OK, GLEW_VERSION, glewContextInit(), glewCreateContext(), glewDestroyContext(), glewExperimental, glewGetErrorString(), glewGetString(), glewInfo(), glewInit(), glewParseArgs(), glGetString, glxewContextInit(), glxewInfo(), NULL, visual, and wglewContextInit().

## Variable Documentation

Colormap cmap = 0

Definition at line 10623 of file glewinfo.c.

GLXContext ctx = NULL

Definition at line 10621 of file glewinfo.c.

Display* dpy = NULL

Definition at line 10618 of file glewinfo.c.

FILE* f

static

Definition at line 46 of file glewinfo.c.

XVisualInfo* vi = NULL

Definition at line 10619 of file glewinfo.c.

XVisualInfo* vis = NULL

Definition at line 10620 of file glewinfo.c.

Window wnd = 0

Definition at line 10622 of file glewinfo.c.